Doomsday Engine - Bug #2330

SIGIL Unplayable without using "Compat" version
2019-06-02 05:39 - Ragutom

Status: Closed Start date: 2019-06-02
Priority: Normal % Done: 100%
Assignee: skyjake

Category: 3rd party compatibility

Target version: Modding

Description

John Romero's SIGIL Episode is not launchable without using the packaged "compatible" version of the WAD. The compatible
version of the WAD changes other aspects of the WAD as well to make it compatible with vanilla Doom. The reason that the
standard version of the WAD can not be used is because there is no displayed fifth episode in the New Game menu, even when
adding one through an external WAD resource. There is no way to warp to E5 on launch either.

Included is a screen grab of Zdoom for proof!

Thanks!!

Related issues:
Related to Bug #2356: Compatibility issues with Sigil v1.21 Closed 2019-11-30

History

#1 - 2019-06-02 08:54 - skyjake

- Category changed from Defect to 3rd party compatibility
- Status changed from New to Resolved

- Assignee set to skyjake

- % Done changed from 0 to 100

SIGIL doesn't come with MAPINFO in any format that Doomsday understands, so it requires additional definitions. Here is a DED file you can use
with SIGIL.WAD: https://talk.dengine.net/discussion/2709/sigil-doomsday

#2 - 2019-10-14 10:20 - skyjake

- Target version set to Modding

#3 - 2019-10-14 10:20 - skyjake

- Status changed from Resolved to Closed

Closing, Sigil updated.

#4 - 2019-11-30 15:39 - skyjake
- Related to Bug #2356: Compatibility issues with Sigil v1.21 added
